GET
/status/incidents/{incidentId}Get a status incident
Parameters
| Name | In | Type | Description |
|---|---|---|---|
incidentIdrequired | path | string | Status incident ID |
Response
Status incident details
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
kindrequired | "incident" | "maintenance" | |
titlerequired | string | |
statusrequired | "investigating" | "identified" | "monitoring" | "resolved" | "scheduled" | "in_progress" | "verifying" | "completed" | Incident lifecycle (investigating|identified|monitoring|resolved) or maintenance lifecycle (scheduled|in_progress|verifying|completed), depending on `kind`. |
impactrequired | "none" | "minor" | "major" | "critical" | "maintenance" | Incident impact severity |
impactOverriderequired | boolean | |
scheduledStartAtrequired | string | null | ISO 8601 timestamp or null |
scheduledEndAtrequired | string | null | ISO 8601 timestamp or null |
autoStartrequired | boolean | |
autoCompleterequired | boolean | |
startedAtrequired | string | ISO 8601 timestamp |
resolvedAtrequired | string | null | ISO 8601 timestamp or null |
backfilledrequired | boolean | |
notifiedAtrequired | string | null | ISO 8601 timestamp or null |
createdByrequired | string | null | |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
affectedComponentsrequired | object[] | |
updatesrequired | object[] |
Errors
401Unauthorized404Status incident not foundExample request
curl \
"https://feedback.quackback.io/api/v1/status/incidents/:incidentId" \
-H "Authorization: Bearer qb_your_api_key_here"